<?php

namespace App\Gateway;

use PDO;
use PDOStatement;

/**
 * A sample gateway, that stores the sample form's result.
 */
class FormResultGateway {

    private PDOStatement $insertion_stmnt;
    private PDOStatement $list_stmnt;

    public function __construct(PDO $pdo)
    {
        $this->insertion_stmnt = $pdo->prepare("INSERT INTO FormEntries VALUES (:name, :description)");
        $this->list_stmnt = $pdo->prepare("SELECT * FROM FormEntries");
    }


    function insert(string $username, string $description) {
        $this->insertion_stmnt->bindValue(":name", $username, PDO::PARAM_STR);
        $this->insertion_stmnt->bindValue(":description", $description, PDO::PARAM_STR);

        $this->insertion_stmnt->execute();
    }

    function listResults(): array {
        $this->list_stmnt->execute();
        return $this->list_stmnt->fetchAll();
    }
}